> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Corporate

> Corporate ibans



## OpenAPI

````yaml /openapi/collections.json post /collection/nuban-create-corporate
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /collection/nuban-create-corporate:
    post:
      tags:
        - Virtual Account/IBANs
      summary: Corporate
      description: Corporate ibans
      operationId: Checking ibans with Flick
      requestBody:
        description: corporate  users account on Flick
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Vula'
        required: true
      responses:
        '200':
          description: Transfer Queued Successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VulaResponse'
        '400':
          description: Bad Request
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    example: A business with this email address has been registered
      security:
        - bearerAuth: []
components:
  schemas:
    Vula:
      required:
        - transmit_kyb_id
        - currency
      type: object
      properties:
        transmit_kyb_id:
          type: string
          example: Flick-4a2860-9087-
          description: >-
            Please consume Transmit KYB (API or Widget) endpoint under MISC and
            pass ID here as the transmit_kyb_id 
        currency:
          type: string
          enum:
            - NGN
            - USD
            - EUR
    VulaResponse:
      type: object
      properties:
        msg:
          type: string
          example: User created successfully, welcome undefined
        user:
          type: object
          properties:
            email:
              type: string
              example: innovex@app.com
            firstName:
              type: string
              example: userFirstName
            lastName:
              type: string
              example: userLasttName
            merchantCode:
              type: string
              example: USER_4jHUkIWaY_Y7nJJe4
            business_name:
              type: string
              example: Innovex
            incNumber:
              type: string
              example: KL1370227
            dated:
              type: string
              example: '2023-10-20T12:09:13.166Z'
            business_email:
              type: string
              example: innovex@app.com
            bizAddress:
              type: string
              example: lekki lagos
            country:
              type: string
              example: Nigeria
            website:
              type: string
              example: https://newbank.com
            isVulaUser:
              type: string
              example: 'true'
            IncCertificate:
              type: string
              example: url
            IncMemart:
              type: string
              example: url
            directors:
              type: array
              items:
                type: object
                properties:
                  fullName:
                    type: string
                    example: userFullName
                  position:
                    type: string
                    example: HOE
                  bvn:
                    type: string
                    example: '1122334400'
                  idNumber:
                    type: string
                    example: '001122334'
                  idType:
                    type: string
                    example: int’l passport/driver’s license
                  idCard:
                    type: string
                    example: 'url '
            shareholders:
              type: array
              items:
                type: object
                properties:
                  fullName:
                    type: string
                    example: userFullName
                  percOfShare:
                    type: string
                    example: '100'
            proofOfBizAddress:
              type: object
              properties:
                type:
                  type: string
                  example: Bank Statement
                doc:
                  type: string
                  example: url
            avatar:
              type: string
              example: ''
            isVerified:
              type: string
              example: 'false'
            isEmailVerified:
              type: string
              example: 'false'
            isLive:
              type: string
              example: 'false'
            userName:
              type: string
              example: userLasttName
            password:
              type: string
              example: ''
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.